Subject: Re: [PATCH net ] vmxnet3: move rss code block under eop descriptor

From: Jakub Kicinski <[email-masked]>
Date: Wed, 8 Feb 2023 11:18:47 -0800

On Wed, 8 Feb 2023 18:48:42 +0000 Ronak Doshi wrote:
> > On Tue, 7 Feb 2023 11:28:49 -0800 Ronak Doshi wrote:  
> > > Commit b3973bb40041 ("vmxnet3: set correct hash type based on
> > > rss information") added hashType information into skb. However,
> > > rssType field is populated for eop descriptor.
> > >
> > > This patch moves the RSS codeblock under eop descritor.  
> >
> > Does it mean it always fails, often fails or occasionally fails
> > to provide the right hash?  
>
> This will cause issues mostly for cases which require multiple rx descriptors.
> For single rx descriptor packet, eop and sop will be same, so no issue.

Could you add to the commit message when user will most likely
encounter that situation?  With high MTUs?  Depending on the
underlying HW/NIC?